From c91d5c541983977bd7f6f796ce0b39c38bd12c25 Mon Sep 17 00:00:00 2001
From: Sean Whitton <spwhitton@spwhitton.name>
Date: Tue, 18 Oct 2016 17:20:27 -0700
Subject: [PATCH 2/4] Makefile: build and clean *.7.pod

Signed-off-by: Sean Whitton <spwhitton@spwhitton.name>
---
 Makefile | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

diff --git a/Makefile b/Makefile
index 6fcc9bd..3f071e3 100644
--- a/Makefile
+++ b/Makefile
@@ -33,7 +33,7 @@ txtdocdir=$(prefix)/share/doc/dgit
 
 PROGRAMS=dgit
 MAN1PAGES=dgit.1
-MAN7PAGES=dgit.7
+MAN7PAGES=dgit.7 dgit-maint-merge.7
 TXTDOCS=README.dsc-import
 PERLMODULES=Debian/Dgit.pm
 
@@ -48,7 +48,7 @@ INFRA_PERLMODULES= \
 
 all:
 
-install:	installdirs
+install:	installdirs $(MAN7PAGES)
 	$(INSTALL_PROGRAM) $(PROGRAMS) $(DESTDIR)$(bindir)
 	$(INSTALL_DATA) $(MAN1PAGES) $(DESTDIR)$(man1dir)
 	$(INSTALL_DATA) $(MAN7PAGES) $(DESTDIR)$(man7dir)
@@ -80,3 +80,11 @@ check installcheck:
 
 clean distclean mostlyclean maintainer-clean:
 	rm -rf tests/tmp
+	set -e; for m in $(MAN7PAGES); do \
+		test -e $$m.pod && rm -f $$m; \
+	done
+
+%.7: %.7.pod
+	pod2man --section=7 --date="Debian Project" --center="dgit" \
+		--name=$(subst .7,,$@) \
+		$^ $@
-- 
2.9.3

